package org.dromara.mall.product.service;

import org.dromara.mall.product.domain.bo.MallProductAttributeBo;
import org.dromara.mall.product.domain.vo.MallProductAttributeVo;

import java.util.Collection;
import java.util.List;

/**
 * 商品属性关联Service接口
 *
 * @author pengles
 */
public interface MallProductAttributeService {

    /**
     * 查询商品属性关联
     */
    MallProductAttributeVo queryById(Long id);

    /**
     * 根据商品ID查询商品属性关联列表
     */
    List<MallProductAttributeVo> queryListByProductId(Long productId);

    /**
     * 新增商品属性关联
     */
    Boolean insertByBo(MallProductAttributeBo bo);

    /**
     * 批量新增商品属性关联
     */
    Boolean insertBatch(List<MallProductAttributeBo> list);

    /**
     * 修改商品属性关联
     */
    Boolean updateByBo(MallProductAttributeBo bo);

    /**
     * 批量删除商品属性关联信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 根据商品ID删除商品属性关联
     */
    Boolean deleteByProductId(Long productId);

    /**
     * 保存商品属性关联（先删除旧的，再插入新的）
     */
    Boolean saveProductAttributes(Long productId, List<MallProductAttributeBo> list);

}
